﻿@imports DayPilot.Web.Mvc
@imports DayPilot.Web.Mvc.Events.Scheduler
@imports DayPilot.Web.Mvc.Enums.Scheduler

@Code
    ViewData("Title") = "Index"
End Code

<h2>Index</h2>

@Html.DayPilotScheduler("dps", New DayPilotSchedulerConfig With
{
    .BackendUrl = Url.Content("~/Scheduler/Backend"),
    .EventResizeHandling = EventResizeHandlingType.CallBack,
    .EventMoveHandling = EventMoveHandlingType.CallBack,
    .TimeRangeSelectedHandling = TimeRangeSelectedHandlingType.CallBack,
    .CellGroupBy = GroupBy.Month,
    .CellDuration = 1440,
    .Days = 365,
    .StartDate = New DateTime(DateTime.Today.Year, 1, 1)
})